-------------------|
--Cross Mod--------|
----Compatibility--|
-------------------|

rawset(_G, "fz_link", CV_RegisterVar({ --Enable or disable cross-mod compatability.
  name = "fz_link",
  defaultvalue = "On",
  flags = CV_NETVAR|CV_NOSHOWHELP,
  PossibleValue = CV_OnOff
}))

--HostMod [v7+] Integration
local fz_dyk = {
	{msg = "Boost Power isn't available until Lap 2. That's when the race gets good."},
	{msg = "Learn when to boost and when to play it safe. Too much boosting puts you closer to \133DEATH\128."},
	{msg = "Offroad isn't your friend. You'll slowly take damage until you're back on the road."},
	{msg = "Time your Boost Power while approaching red springs for maximum momentum!"},
	{msg = "If you get slapped onto offroad, you won't start taking offroad damage until you recover from wiping out."},
	{msg = "Motobugger once exploded for several straight races because he couldn't lay off the boost.", humor = true},
	{msg = "The last torch's flame near the finish line in Obsidian Oasis has a hitbox. RetroStation learned the hard way.", humor = true},
	{msg = "Burning Bone is a great track. No bones about it!", humor = true},
	{msg = "Be careful while navigating tight corridors; you can take a lot of damage while bonking between walls at high speed!"},
	{msg = "OHHHHHHHHHHH, BANANA.", humor = true},
	{msg = "BLJ was here.", humor = true},
	{msg = "Kirbo is best boi.", humor = true},
	{msg = "Classic Mode trades items for more speed. GOTTA GO FAST."},
	{msg = "Standard Mode is a blend of Kart and F-Zero. Chaos ensues."},
	{msg = "Nauti was once voted 'Most Likely to Develop Hyperkalemia'.", humor = true}
}

local fz_hmload = false

addHook("ThinkFrame", function()
	if fz_hmload then return end
	if server and (CV_FindVar("hm_scoreboard")) and leveltime > TICRATE --check for hostmod
		for i = 1, #fz_dyk
			HM_Scoreboard_AddTip(fz_dyk[i])
		end
		fz_hmload = true
	end
end)